VistaIOReadImages(3)

NAME
VistaIOReadImages - read a series of images from a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>
#include <vistaio.h>

int VistaIOReadImages (file, attributes, images)
    FILE *file;
    VistaIOAttrList *attributes;
    VistaIOImage (*images)[];

ARGUMENTS

file
    Specifies the open stream from which the images should be read.

attributes
    Returns a list of attributes read from the stream.

images
    Returns a vector of pointers to images read.

DESCRIPTION
VistaIOReadImages reads a Vista data file from an open stream, collects the top-level images found, and returns the images separately from the file's other contents.

For backwards compatibility VistaIOReadImages will also recognize and read an image in the UBC image file format (IFF). If the first character read from the stream is ``I'', VistaIOReadImages uses VistaIOReadUbcIff to read and return a single UBC IFF image.

RETURN VALUES
VistaIOReadImages returns the number of images obtained, or 0 if an error is encountered. A vector of the images is allocated and returned via images. Any other objects found in the file are returned as an attribute list via attributes.

SEE ALSO
VistaIOReadFile(3), VistaIOReadObjects(3), VistaIOReadUbcIff(3), stdio(3),
VistaIOImage(3)

DIAGNOSTICS
Besides the following, any of the diagnostics produced by VistaIOReadFile may be generated.

``No image objects present in stream.''
    No images were encountered in the specified stream.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>